Summary: Compability libraries for old a.out applications
Name: aout-libs
Version: 1.4
Release: 9
Exclusivearch: i386
Exclusiveos: Linux
Copyright: distributable
Group: Libraries
Source0: aout.sources.tar.gz
Source1: libc-4.7.2.tar.gz
Autoreqprov: no
Prereq: /sbin/ldconfig grep fileutils 
Summary(de): Kompatibilitts-Libraries fr alte a.out-Applikationen 
Summary(fr): Bibliothques de compatibilits pour les anciennes applications a.out"
Summary(tr): Eski a.out uygulamalar iin gereken kitaplklar

%changelog
* Tue May 05 1998 Prospector System <bugs@redhat.com>

- translations modified for de, fr, tr


* Thu Jul 17 1997 Erik Troan <ewt@redhat.com>

- added prereqs for scripts

%description
Old Linux systems used a format for programs and shared libraries called
a.out while newer ones use the ELF format. In order to run old a.out
format programs, you need the a.out format libraries which this package
provide. With it, you are to run most a.out format packages for text,
X, and SVGAlib modes.

%description -l de
Alte Linux-Systeme benutzten 'a.out', ein Format fr Programme und
gemeinsam genutzte Libraries, neuere Systeme verwenden 'ELF'. Um
alte a.out-Programme ausfhren zu knnen, bentigen Sie die in diesem
Paket enthaltenen a.out-Format-Libraries. Damit knnen Sie die meisten
Pakete fr Text-, X- und SVGAlib-Modi ausfhren.

%description -l fr
Les vieux systmes Linux utilisaient un format appel a.out pour les
programmes et les librairies partages, alors que les plus rcents
utilisent le format ELF. Pour faire tourner les vieux programmes a.out
vous avez besoin des librairies au format a.out fournies par ce package.Avec cela vous pourrez faire tourner la plupart des packages a.out en 
mode texte, X, ou SVGAlib.

%description -l tr
Eski Linux sistemleri programlar ve paylalan kitaplklar iin a.out
biimini kullanrlard. Daha yeni sistemler ise, ELF biimini
kullanyorlar. a.out biimindeki programlar koturabilmek iin, bu
paketin salad a.out kitaplklar gerekiyor.

%prep
%setup -n aout

%build

%install
mkdir -p /usr/i486-linuxaout/lib
for n in *; do
    install -m 755 $n /usr/i486-linuxaout/lib
done
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig
rm -rf /usr/X11 /usr/X386
ln -sf X11R6 /usr/X11
ln -sf X11R6 /usr/X386

%post
if ! grep '^/usr/i486-linuxaout/lib$' /etc/ld.so.conf > /dev/null; then
    echo "/usr/i486-linuxaout/lib" >> /etc/ld.so.conf
fi
/sbin/ldconfig

%postun
if [ "$1" = '0' ]; then
    grep -v '^"/usr/i486-linuxaout/lib$' < /etc/ld.so.conf > /tmp/new.ld.so.conf
    cp /tmp/new.ld.so.conf /etc/ld.so.conf
fi
/sbin/ldconfig

%files
/usr/i486-linuxaout/lib
/usr/X11
/usr/X386
